### Function

# AppStream UrlKind from_string

#### Declaration [src]

    AsUrlKind
    as_url_kind_from_string (
      const gchar* url_kind
    )

#### Description [src]

Converts the text representation to an enumerated value.

#### Parameters

`url_kind`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsUrlKind`

A `AsUrlKind` or `AS_URL_KIND_UNKNOWN` for unknown.